Subject: Re: Step Forward Michigan MHA# 15338
From: "Michael B" <[email-masked]>
To: "Chase, Vicki \(MSHDA-Contractor\)" <[email-masked]>
Date: Thu, 19 Oct 2017 13:24:32 -0400

Hello Vicki.
I appreciate your getting back with me. Yes we are still living in the home. And there have been no foreclosure or sheriff's sale of the home. Please let me know if you need anything.
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355

From: Chase, Vicki (MSHDA-Contractor) 
Sent: Wednesday, October 18, 2017 11:01 AM
To: Michael B 
Subject: Step Forward Michigan MHA# 15338

Hello Michael,

I will be happy to review your file for possible discharge.  Please answer a couple of questions for me:

Are you still living in the home?  If not, please provide the date you vacated the home.

Has there been a foreclosure or sheriff’s sale of the home?  If so, please provide dates.

Once I have your answers I will review our records and start the process for discharge.

Thank you,

Vicki Chase

Final Documents / Post Servicing Advisor, Step Forward Michigan

Michigan Homeowner Assistance Nonprofit Housing Corporation (MHA)

In collaboration with the Michigan State Housing Development Authority (MSHDA)

Tel. 517-335-6893 ● Customer Service 866-946-7432 ● Fax 517-636-6170

For information about Michigan’s Help For Hardest Hit Program, visit www.stepforwardmichigan.org

 

From: Michael B [mailto:[email-masked]] 
Sent: Wednesday, October 18, 2017 8:10 AM
To: MSHDA-HHFLoanServicing <[email-masked]>
Subject: Fw: Step Forward Michigan MHA# 15338

Hello.

I received a message that Stacey was off-site and that I could email here. I wasn't sure if there was someone else that would be able to help me or if I would just have to wait for her. Please let me know how I should proceed.

Thank you,
Michael Bishop

8607 Carlsbad Lane

Lansing, MI 48917

From: Michael B 

Sent: Tuesday, October 17, 2017 4:05 PM

To: Place, Stacey (MSHDA) 

Subject: Re: Step Forward Michigan MHA# 15338

Hello Stacey.

I wanted to reach out to you to find out what is needed to get a release of the lean from the account we have. I believe the 5 year period completed in September. I was thinking someone told me that I would need to request the release that it was not automatically sent out. Would you be able to look into this for me and let me know the status?

Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355

From: Place, Stacey (MSHDA) 

Sent: Thursday, June 23, 2016 10:43 AM

To: [email-masked] 

Subject: Step Forward Michigan MHA# 15338

Michael, how can I help you?

 

Stacey Place

Final Documents / Post Servicing Team Lead, Step Forward Michigan

Michigan Homeowner Assistance Nonprofit Housing Corporation (MHA)

In collaboration with the Michigan State Housing Development Authority (MSHDA)

866-946-7432 Customer Service

517-335-2612 Direct

517-636-6170 Facsimile

[email-masked]

For information about Michigan’s Help For Hardest Hit Program, visit www.stepforwardmichigan.org